Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I'm trying to build a Pinax virtualenv. I get, on Precise Penguin with 0.7:

jonathan@ubuntu:~/Downloads/Pinax-0.7-bundle/scripts$ ./pinax-boot.py ~/virtual
New python executable in /home/jonathan/virtual/bin/python
Traceback (most recent call last):
  File "/home/jonathan/virtual/lib/python2.7/site.py", line 67, in <module>
    import os
  File "/home/jonathan/virtual/lib/python2.7/os.py", line 49, in <module>
    import posixpath as path
  File "/home/jonathan/virtual/lib/python2.7/posixpath.py", line 17, in <module>
    import warnings
ImportError: No module named warnings
ERROR: The executable /home/jonathan/virtual/bin/python is not functioning
ERROR: It thinks sys.prefix is '/home/jonathan/Downloads/Pinax-0.7-bundle/scripts' (should be '/home/jonathan/virtual')
ERROR: virtualenv is not compatible with this system or executable

--EDIT--

There is a similar-looking, but different, error under 0.7.3:

 New python executable in /home/jonathan/v/bin/python
Traceback (most recent call last):
  File "/home/jonathan/v/lib/python2.7/site.py", line 67, in <module>
    import os
  File "/home/jonathan/v/lib/python2.7/os.py", line 398, in <module>
    import UserDict
  File "/home/jonathan/v/lib/python2.7/UserDict.py", line 83, in <module>
    import _abcoll
  File "/home/jonathan/v/lib/python2.7/_abcoll.py", line 11, in <module>
    from abc import ABCMeta, abstractmethod
  File "/home/jonathan/v/lib/python2.7/abc.py", line 8, in <module>
    from _weakrefset import WeakSet
ImportError: No module named _weakrefset
ERROR: The executable /home/jonathan/v/bin/python is not functioning
ERROR: It thinks sys.prefix is '/home/jonathan/Pinax-0.7.3-bundle/scripts' (should be '/home/jonathan/v')
ERROR: virtualenv is not compatible with this system or executable

--EDIT--

How should I be creating virtual environments, or what should I be doing instead, under 0.9a2 compared to 0.7? (I do not see 0.9a2 providing a pinax-boot.py script.)

share|improve this question

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Browse other questions tagged or ask your own question.